Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
YYSTYPE Union Reference

`#include <parse.h>`

## Data Fields
VALUE | val
NODE * | node
ID | id
int | num
struct vtable * | vars

## Detailed Description

Definition at line 159 of file parse.h.

## Field Documentation

ID YYSTYPE::id

Definition at line 166 of file parse.h.

Referenced by switch().

NODE* YYSTYPE::node

Definition at line 165 of file parse.h.

Referenced by switch().

int YYSTYPE::num

Definition at line 167 of file parse.h.

Referenced by switch().

VALUE YYSTYPE::val

Definition at line 164 of file parse.h.

Referenced by switch().

struct vtable* YYSTYPE::vars

Definition at line 168 of file parse.h.

Referenced by switch().

The documentation for this union was generated from the following file:

- parse.h